#!/bin/sh
sudo apt-get install funionfs build-essential mkisofs xdelta
if test -e ubuntu-7.10-desktop-i386.iso 
then 
	image=ubuntu-7.10-desktop-i386.iso
	export image
	./generate.filestoadd.sh
 
	for image in `ls *7.10*.iso | grep -v CC`
	do 
		export image
		sudo ./p
	done
fi

if test -e ubuntu-7.10-desktop-i386.iso 
then
	image=hardy-desktop-i386.iso
        export image
	#./generate.filestoadd.sh
	sudo -rf newroot/filestoadd/lib/modules/*
	sudo mkdir -p newroot/filestoadd/lib/modules
	sudo cp hardy_modules/* newroot/filestoadd/lib/modules

	for image in `ls hardy*.iso`
	do 
		export image
		sudo ./p 
	done
fi

sudo chown "$LOGNAME" *.iso

for i in `ls *.iso`
do
	if test -e CC02-$i
	then
		xdelta delta $i CC02-$i CC02-$i.xdelta
		zsyncmake $i
	fi
done
